<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
    <HEAD>
        <TITLE>PR fix regression test</TITLE>
    </HEAD>

    <BODY>
        <H1 align="center">Regression test for PR fixes</H1>

        <H2>Test Objectives</H2>
		<UL>
		<LI>Verify that the test cases relevant to PR fixes         PASS with the current software.</LI>	
		</UL>
		
		<H2>APIs affected by this test</H2>
		<UL>
        <li>Miscellaneous ldas commands are used.</li>
		</UL>
				
        <H2>Setup</H2>
        <ul>
        <li>the build of ldas to be tested</li><p>
        <li>S2,S3,S4 and S5 frame files may be needed and made known to diskcacheAPI:<p>
        </ul>
        <H2>Test Execution</H2>
        <ol><li>login to sun build machine <b>sunbuild</b> as user <b>ldas</b>. user ldas is needed to have access to writing/removing
        files in output frame directories</li><p>
		<li>cd &lt;install build directory for sun&gt;/api/test/System/regression
        <p>e.g.<pre><font color='brown'>
            cd /usr1/lcldsk/emaros/build/ldas/SunOS-sun4u/api/test/System/regression
            setenv TEST_VERBOSE_MODE false; setenv LDASMANAGER gateway; make regression >& out &            
        </font></pre>
        To turn on debug use <pre><font color='brown'>setenv TEST_VERBOSE_MODE true</font></pre>
        To run a single regression test e.g. pr3076<pre><font color='brown'></font></pre>make TESTS_FIXED=pr3076.tcl regression</font></pre>
		<p></li>
        </ol>
		<H2>Test Validation <font size=-1>(captured in file <i>out</i> if redirected)</font></H2>
        All test on the list should pass.
        <pre><font color='brown'>
        	<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=3170'>PASS: pr3170.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=3076'>PASS: pr3076.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2953'>PASS: pr2953.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2946'>PASS: pr2946.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2873'>PASS: pr2873.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2848'>PASS: pr2848.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2824'>PASS: pr2824.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2823'>PASS: pr2823.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2807'>PASS: pr2807.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2793'>PASS: pr2793.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2790'>PASS: pr2790.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2785'>PASS: pr2785.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2530'>PASS: pr2530.tcl</a>
        	<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2406'>PASS: pr2504.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2406'>PASS: pr2406.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2349'>PASS: pr2349.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2234'>PASS: pr2234.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2221'>PASS: pr2221.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2136'>PASS: pr2136.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2133'>PASS: pr2133.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2127'>PASS: pr2127.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2125'>PASS: pr2125.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2122'>PASS: pr2122.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2121'>PASS: pr2121.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2116'>PASS: pr2116.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2108'>PASS: pr2108.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2090'>PASS: pr2090.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2088'>PASS: pr2088.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2077'>PASS: pr2077.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2071'>PASS: pr2071.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2029'>PASS: pr2029.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2017'>PASS: pr2017.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=2008'>PASS: pr2008.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=1999'>PASS: pr1999.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=1997'>PASS: pr1997.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=1993'>PASS: pr1993.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=1992'>PASS: pr1992.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=1940'>PASS: pr1940.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=1916'>PASS: pr1916.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=1820'>PASS: pr1820.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=1775'>PASS: pr1775.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=1773'>PASS: pr1773.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=1705'>PASS: pr1705.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=1618'>PASS: pr1618.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=1532'>PASS: pr1532.tcl</a>
        	<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=1532'>PASS: pr1502.tcl</a>
		<a href='https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi?debug=&database=ldas&cmd=view+audit-trail&cmd=view&pr=1146'>PASS: pr1146.tcl</a>
        </font></pre>
    </BODY>
</HTML>

